export declare enum Verbosity {
    ERROR = 0,
    WARN = 1,
    INFO = 2,
    DEBUG = 3,
    TRACE = 4
}
declare type PrefixFunction = () => string;
declare const _default: {
    setPrefix: (func: PrefixFunction) => void;
    setVerbosity: (verbosityLevel: Verbosity) => void;
    error: (...args: any[]) => void;
    warn: (...args: any[]) => void;
    info: (...args: any[]) => void;
    debug: (...args: any[]) => void;
    trace: (...args: any[]) => void;
};
export default _default;
